Tokens
CLI token と MCP token です。
Epismo は CLI/MCP client 向けの product-specific token endpoints を公開します。
CLI tokens
POST /v1/cli/tokens
Authorization: Bearer <token>
Content-Type: application/json
{ "workspaceId": "workspace-id" }Response は accessToken, refreshToken, tokenType, expiresIn, scope を含みます。CI では access token を EPISMO_TOKEN として使います。
workspaceId を省略すると、authorized request context が使われます。CI では明示的な workspace ID を推奨します。
MCP tokens
| Method | Path | Purpose |
|---|---|---|
| POST | /v1/mcp/tokens |
MCP token を issue |
| POST | /v1/mcp/tokens/refresh |
MCP token を refresh |
MCP token は Epismo MCP server に接続する MCP client が使います。
MCP token の issue には resource が必要で、値は MCP server resource の absolute http または https URL でなければなりません。MCP token refresh には refreshToken と、同じく absolute resource URL が必要です。